#!/bin/sh

usage() {
	echo "usage: generation.sh <number of sequences> <number_of_reads>"
	exit 1
}

if [ $# != 2 ]; then
	usage
fi

sequences=$1
number_of_reads=$2
read_mean_size=350
read_variance_size=0.0
data_directory="data/"
fasta=".fasta"
fastq=".fastq"
filename="sequence"
prefix="curesim_"

Rscript src/repertoire.r "$sequences" && java -jar tools/CuReSim.jar -n $((number_of_reads * sequences)) -m "$read_mean_size" -sd "$read_variance_size" -f "$data_directory$filename$fasta" -o "$data_directory$prefix$filename$fastq"
rm "$data_directory/log.txt"
